Subject: Re: [PATCH v2] can: ti_hecc: Replace platform dependency with ARM dependency

From: Marc Kleine-Budde <[email-masked]>
Date: Sat, 21 Dec 2013 22:06:15 +0100

On 12/20/2013 10:33 PM, Ezequiel Garcia wrote:
> On Sat, Dec 21, 2013 at 12:17:27AM +0300, Sergei Shtylyov wrote:
>> On 12/20/2013 11:14 PM, Ezequiel Garcia wrote:
>>
>>> OMAP's ti_hecc driver is used to support the CAN controller on many omap2plus
>>> SoCs (OMAP2430, OMAP3, OMAP4, OMAP5 and AM335x), so it's wrong to make this
>>> depend on OMAP3 only. Take an extra step, to get wider build coverage, and make
>>> the driver depend on ARM.
>>
>>     To have a real wide coverage, it's probably worth adding '|| COMIPLE_TEXT' 
>> to 'depends on ARCH_OMAP2PLUS'?

> Yup, and that was my exact proposal on my reply to v1 (which I forgot to detail
> in v2). I'd say it's Marc's call.

Convinced, I've added the v1 of this patch to can-next together with a
|| COMIPLE_TEXT.

regards,
Marc
-- 
Pengutronix e.K.                  | Marc Kleine-Budde           |
Industrial Linux Solutions        | Phone: +49-231-2826-924     |
Vertretung West/Dortmund          | Fax:   +49-5121-206917-5555 |
Amtsgericht Hildesheim, HRA 2686  | http://www.pengutronix.de   |